package com.fizz.business.config;

import com.fizz.business.constants.CommonConstants;
import org.springframework.amqp.core.Queue;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class RabbitConfig {
    @Bean
    public Queue receiveModelQueue() {
        return new Queue(CommonConstants.RabbitMQ.RECEIVE_MODEL, true);
    }

    @Bean
    public Queue receiveRealTimeQueue() {
        return new Queue(CommonConstants.RabbitMQ.RECEIVE_REAL_TIME, true);
    }

    @Bean
    public Queue sendModelQueue() {
        return new Queue(CommonConstants.RabbitMQ.SEND_MODEL, true);
    }

}